using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int N, A, x1, B, K;
            N = int.Parse(Console.ReadLine());
            A = int.Parse(Console.ReadLine());
            K = 1;
                
            if (N <= ((N / A) * A))
            {
                Console.WriteLine(-1);
                Console.ReadLine();
            }
            else
            {
                B = (N / (A + (A - 2)));

                do
                {
                    x1 = (N - B * A) / B;
                    Console.WriteLine(A + " " + x1 + " " + B );
                    K++;
                }
                while (K < B);
                
                Console.WriteLine(A + " " + (N-B*A-x1*(B-1)));
                Console.ReadLine();
            }
        }
    }
}